Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureValueSpec

All Superinterfaces:
  EObject, Notifier, ValueExpression

All Known Implementing Classes:
  FeatureValueSpecImpl

public interface FeatureValueSpec
extends ValueExpression

A representation of the model object 'Feature Value Spec'. Value specification associated with a specific feature

The following features are supported:

- `Feature`
- `Feature Seq Initializer`

See Also:
  `GMFMapPackage.getFeatureValueSpec()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='ValueSpec'"

Method Summary
`EStructuralFeature` `getFeature()` Returns the value of the 'Feature' reference
`FeatureSeqInitializer` `getFeatureSeqInitializer()` Returns the value of the 'Feature Seq Initializer' container reference.
`void` `setFeature(EStructuralFeature value)` Sets the value of the '`Feature`' reference
`void` `setFeatureSeqInitializer(FeatureSeqInitializer value)` Sets the value of the '`Feature Seq Initializer`' container reference

Methods inherited from interface org.eclipse.gmf.mappings.ValueExpression
`getBody, getLangName, getLanguage, setBody, setLanguage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeature

    public EStructuralFeature getFeature()

  Returns the value of the 'Feature' reference.

  If the meaning of the 'Feature' containment reference isn't clear, there really should be more of a description here...

  Denotes the feature for which this value expression is specified. Its containing EClass is the context for evaluation.

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `FeatureValueSpec.setFeature(EStructuralFeature)`, `GMFMapPackage.getFeatureValueSpec_Feature()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='type'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature.eContainingClass.isSuperTypeOf(featureSeqInitializer.mappingEntry.getDomainContext())' description='Initialized \'Feature\' must be owned by \'Domain Element\' or its super type'"

### setFeature

    public void setFeature(EStructuralFeature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `FeatureValueSpec.getFeature()`
  ** Generated **

### getFeatureSeqInitializer

    public FeatureSeqInitializer getFeatureSeqInitializer()

  Returns the value of the 'Feature Seq Initializer' container reference. It is bidirectional and its opposite is '`Initializers`'.

  If the meaning of the 'Feature Seq Initializer' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Feature Seq Initializer' container reference.
  See Also:
    `FeatureValueSpec.setFeatureSeqInitializer(FeatureSeqInitializer)`, `GMFMapPackage.getFeatureValueSpec_FeatureSeqInitializer()`, `FeatureSeqInitializer.getInitializers()`
  ** Generated **
  Model:
    opposite="initializers" required="true"

### setFeatureSeqInitializer

    public void setFeatureSeqInitializer(FeatureSeqInitializer value)

  Sets the value of the '`Feature Seq Initializer`' container reference.

  Parameters:
    `value` - the new value of the 'Feature Seq Initializer' container reference.
  See Also:
    `FeatureValueSpec.getFeatureSeqInitializer()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.